Subject: Re: bug#20742: 24.5; python mode indentation fails pep8

From: Tommi Komulainen <[email-masked]>
Date: Fri, 05 Jun 2015 20:25:54 +0000

That's almost certainly me having the cursor after the closing bracket
rather than on top of it while double-checking the indentation on each
line. Best I can tell it made no difference to the indentation.

The other bug is closely related when the opening bracket is *not* followed
by newline, though I can't immediately say if either of the possible
indentations is preferred or an error according to pep8.

On Fri, 5 Jun 2015 at 22:16 Glenn Morris <[email-masked]> wrote:

> Tommi Komulainen wrote:
>
> > python-indent--calculate-indentation: Wrong type argument:
> > number-or-marker-p, nil [2 times]
>
> Perhaps the behaviour is not intended.
> (Related to bug#20560?)
>